## simon 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)
cmake_policy(SET CMP0017 NEW)
cmake_policy(SET CMP0002 OLD)

project(Simon)

ENABLE_TESTING()

set(CMAKE_SIMON_VERSION_MAJOR 0)
set(CMAKE_SIMON_VERSION_MINOR 4)
set(CMAKE_SIMON_VERSION_PATCH 1)
set(CMAKE_SIMON_VERSION_STRING  "${CMAKE_SIMON_VERSION_MAJOR}.${CMAKE_SIMON_VERSION_MINOR}.${CMAKE_SIMON_VERSION_PATCH}")
configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(KDE4 "4.4" REQUIRED)
find_package(Qt4 COMPONENTS QtCore QtDbus QtGui QtTest QtXml QtScript QtConcurrent REQUIRED)
find_package(Qwt6 REQUIRED)

macro_optional_find_package(LibSampleRate)
macro_log_feature(LIBSAMPLERATE_FOUND "LibSampleRate" "Resampling library" "http://www.mega-nerd.com/SRC/" FALSE "" "Required to activate resampling.")

include_directories(${CMAKE_BINARY_DIR} .)
if(LIBSAMPLERATE_FOUND)
include_directories(${LIBSAMPLERATE_INCLUDE_DIR})
add_definitions(${LIBSAMPLERATE_DEFINITIONS})
endif(LIBSAMPLERATE_FOUND)

IF(UNIX)
  find_package(ALSA REQUIRED)
  set(plattformLibraries ${ALSA_LIBRARY})
  include_directories(${ALSA_INCLUDE_DIR})
ELSE(UNIX)
  find_package(DirectSound REQUIRED)
  set(plattformLibraries ${DIRECTSOUND_LIBRARY})
  include_directories(${DIRECTSOUND_INCLUDE_DIRS})
ENDIF(UNIX)


find_program(PSPHINX "pocketsphinx_batch")
find_program(PJULIUS "julius")
if(UNIX)
  FIND_LIBRARY(X11_XTest_LIB Xtst ${X11_LIB_SEARCH_PATH})
  FIND_LIBRARY(X11_X11_LIB X11 ${X11_LIB_SEARCH_PATH})
endif(UNIX)

macro_optional_find_package(KdepimLibs 4.5.60)
macro_log_feature(KdepimLibs_FOUND "KDE PIM Libs" "KDE Libraries for PIM" "http://pim.kde.org/" FALSE "4.5.60" "Required for PIM plugin.")
set(USE_PLASMA true CACHE BOOL "Use the plasma data engines in the dialog plugin")

if(USE_PLASMA)
  add_definitions(-DUSE_PLASMA)
endif(USE_PLASMA)

macro_optional_find_package(QAccessibilityClient)
macro_log_feature(QAccessibilityClient_FOUND "qaccessibilityclient" "KDE client-side accessibility library" "https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient" FALSE "" "Required to enable ATSPI plugin.")

find_package(Sphinxbase)
macro_log_feature(SphinxBase_LIBRARIES "Sphinxbase"
  "Open source toolkit for speech recognition" "http://cmusphinx.sourceforge.net/"
  FALSE "" "Required to build Sphinx backend")
find_package(Pocketsphinx)
macro_log_feature(POCKETSPHINX_LIBRARIES "PocketSphinx"
  "PocketSphinx is a small-footprint continuous speech recognition system"
  "http://cmusphinx.sourceforge.net/" FALSE "" 
  "Required to build Pocket Sphinx backend")
macro_optional_find_package(OpenCV)
macro_log_feature(OpenCV_FOUND "OpenCV"
  "OpenCV (Open Source Computer Vision) is a library of programming functions for real time computer vision" "http://http://opencv.willowgarage.com/"
  FALSE "" "Required for Simon Vision")
  
set(BackendType "both" CACHE STRING "Backend type used while building")
set_property(CACHE BackendType PROPERTY STRINGS jhtk both)

if(OpenCV_FOUND)
  link_directories(${OpenCV_LIB_DIR})
  add_definitions(-DWITH_SIMONCV)
  set(WITH_SIMONCV true CACHE BOOL "If SimonCV libraries are present")
endif()

if(SphinxBase_LIBRARIES AND POCKETSPHINX_LIBRARIES)
  set(BackendType both)
else()
  set(BackendType jhtk)
endif()

message(STATUS "BackendType='${BackendType}'")

if(${BackendType} STREQUAL both)
  ADD_DEFINITIONS(-DBACKEND_TYPE_BOTH)
  find_package(Sphinxbase REQUIRED)
  find_package(Pocketsphinx REQUIRED)
  include_directories(${POCKETSPHINX_INCLUDE_DIR} ${SphinxBase_INCLUDE_DIR} ../../simonlib)
endif()
if(${BackendType} STREQUAL jhtk)
  ADD_DEFINITIONS(-DBACKEND_TYPE_JHTK)
endif()

include(KDE4Defaults)
include(SimonDirs)
include_directories(${QT_INCLUDES} ${KDE4_INCLUDES} ${KDE_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS}
  ${Qwt6_INCLUDE_DIR} simonlib)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

if(WIN32)
  # old gcc because of MinGW
  add_definitions(-D__INTERLOCKED_DECLARED)
  if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
  endif(MSVC)
endif(WIN32)

if(CMAKE_COMPILER_IS_GNUCXX)
    add_definitions(-fexceptions)
endif(CMAKE_COMPILER_IS_GNUCXX)

add_subdirectory(simonlib)
add_subdirectory(simon)
add_subdirectory(simond)
add_subdirectory(ksimond)
add_subdirectory(plugins)
add_subdirectory(sam)
add_subdirectory(ssc)
add_subdirectory(sscd)
add_subdirectory(afaras)
add_subdirectory(doc)

if(USE_PLASMA)
  add_subdirectory(simonoid)
endif()


install(FILES ${CMAKE_BINARY_DIR}/version.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/simon
  COMPONENT simondevel
)

if(NOT WIN32)
  include(simon_package_settings)
endif(NOT WIN32)

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== afaras/CMakeLists.txt ===
project(afaras)

add_subdirectory(src)
add_subdirectory(icons)

=== doc/CMakeLists.txt ===
add_subdirectory(en_US)
add_subdirectory(pt_BR)
add_subdirectory(ca)
add_subdirectory(nl)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(pt)
add_subdirectory(es)
add_subdirectory(sv)
add_subdirectory(uk)

=== ksimond/CMakeLists.txt ===
project(ksimond)

add_subdirectory(config)
add_subdirectory(src)
add_subdirectory(icons)

=== plugins/CMakeLists.txt ===
add_subdirectory(Commands)
add_subdirectory(Conditions)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(de)
add_subdirectory(da)
add_subdirectory(fr)
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(pt_BR)
add_subdirectory(pl)
add_subdirectory(es)
add_subdirectory(cs)
add_subdirectory(ro)
add_subdirectory(ca)
add_subdirectory(sk)
add_subdirectory(sl)
add_subdirectory(pt)
add_subdirectory(gl)
add_subdirectory(ca@valencia)
add_subdirectory(sv)
add_subdirectory(el)
add_subdirectory(fi)
add_subdirectory(it)
add_subdirectory(zh_TW)
add_subdirectory(et)

=== simon/CMakeLists.txt ===
project (simon)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(themes)
add_subdirectory(conf)
add_subdirectory(model)
add_subdirectory(scenarios)
add_subdirectory(texts)

install(FILES simon.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} COMPONENT simon)
install(FILES simon_autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} COMPONENT simon)

=== simond/CMakeLists.txt ===
project(simond)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(scripts)

install(FILES default.jconf simond.db DESTINATION ${DATA_INSTALL_DIR}/simond COMPONENT simond)

=== sscd/CMakeLists.txt ===
project(sscd)

add_subdirectory(src)
add_subdirectory(icons)

if(WIN32)
  install(FILES sscd.conf mysql_create_script.sql DESTINATION ${BIN_INSTALL_DIR} COMPONENT sscd)
else(WIN32)
  install(FILES sscd.conf mysql_create_script.sql DESTINATION share/sscd COMPONENT sscd)
endif(WIN32)

=== afaras/src/CMakeLists.txt ===
set(afaras_SRCS
  main.cpp
  afarasview.cpp
)

kde4_add_ui_files( afaras_SRCS
  main.ui
)

kde4_add_app_icon(afaras_SRCS "../icons/hi*-app-afaras.png")
kde4_add_executable(afaras ${afaras_SRCS})

target_link_libraries(afaras ${QT_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS}
  ${KDE4_KIO_LIBS} simonsound)

install(TARGETS afaras DESTINATION ${BIN_INSTALL_DIR} COMPONENT afaras)

install(FILES afaras.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} COMPONENT afaras)
install(FILES afarasui.rc DESTINATION ${DATA_INSTALL_DIR} COMPONENT afaras)

=== doc/de/CMakeLists.txt ===

add_subdirectory(afaras)
add_subdirectory(ksimond)
add_subdirectory(sam)
add_subdirectory(simond)
add_subdirectory(simon)
add_subdirectory(sscd)
add_subdirectory(ssc)

=== doc/it/CMakeLists.txt ===

add_subdirectory(sam)
add_subdirectory(simond)
add_subdirectory(simon)
add_subdirectory(sscd)
add_subdirectory(ssc)

## simon 0.4.0

=== debian/changelog ===
simon (0.4.0-0ubuntu1) raring; urgency=low

  * Initial release
  * Add kubuntu_01_license.diff from upstream to add complete licences

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Jan 2013 15:42:09 +0000

=== debian/control ===
Source: simon
Section: kde
Priority: extra
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), pkg-kde-tools, cmake, kdelibs5-dev, libqwt-dev, libsamplerate0-dev, libsphinxbase-dev, 
  libpocketsphinx-dev, libopencv-dev, libxtst-dev, kdepimlibs5-dev, libqaccessibilityclient-dev, libboost1.49-dev,
  libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://www.simon-listens.org/

Package: simon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: simon-doc, simon-l10n
Description: open-source speech recognition program
 Simon is an open-source speech recognition program and replaces the
 mouse and keyboard.  It is in development for physically disabled
 people and seniors to give them the possibility to chat, to write
 e-mails, to surf the internet, to do internet-banking and much more.
 It is designed to be very flexible and allows customization for any
 application where speech recognition is needed.

Package: simon-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open-source speech recognition program - documentation
 Simon is an open-source speech recognition program and replaces the
 mouse and keyboard.  It is in development for physically disabled
 people and seniors to give them the possibility to chat, to write
 e-mails, to surf the internet, to do internet-banking and much more.
 It is designed to be very flexible and allows customization for any
 application where speech recognition is needed.
 .
 This package contains the documentation.

Package: simon-l10n
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open-source speech recognition program - translation files
 Simon is an open-source speech recognition program and replaces the
 mouse and keyboard.  It is in development for physically disabled
 people and seniors to give them the possibility to chat, to write
 e-mails, to surf the internet, to do internet-banking and much more.
 It is designed to be very flexible and allows customization for any
 application where speech recognition is needed.
 .
 This package contains the arch independent translation files.

## simon 0.4.1

=== debian/changelog ===
simon (0.4.1-0ubuntu3) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

simon (0.4.1-0ubuntu2) saucy; urgency=low

  * Drop recommends on no-longer-produced simon-doc and simon-l10n.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 15:24:16 -0600

simon (0.4.1-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release. (LP: #1194441)
  * Remove kubuntu_01_license.diff since the patch
    was incorporated into this release.
  * Change maintainer to Kubuntu Developers
    in debian/control. 

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 25 Jun 2013 20:20:00 +0800

=== debian/control ===
Source: simon
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), pkg-kde-tools, cmake, kdelibs5-dev, libqwt-dev, libsamplerate0-dev, libsphinxbase-dev, 
  libpocketsphinx-dev, libopencv-dev, libxtst-dev, kdepimlibs5-dev, libqaccessibilityclient-dev, libboost1.54-dev,
  libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://www.simon-listens.org/

Package: simon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, simon-data (= ${binary:Version})
Description: open-source speech recognition program
 Simon is an open-source speech recognition program and replaces the
 mouse and keyboard.  It is in development for physically disabled
 people and seniors to give them the possibility to chat, to write
 e-mails, to surf the internet, to do internet-banking and much more.
 It is designed to be very flexible and allows customization for any
 application where speech recognition is needed.

Package: simon-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: simon-l10n, simon-doc, simon (<< 0.4.1)
Breaks: simon-l10n, simon-doc, simon (<< 0.4.1)
Description: open-source speech recognition program - data files
 Simon is an open-source speech recognition program and replaces the
 mouse and keyboard.  It is in development for physically disabled
 people and seniors to give them the possibility to chat, to write
 e-mails, to surf the internet, to do internet-banking and much more.
 It is designed to be very flexible and allows customization for any
 application where speech recognition is needed.
 .
 This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with kde

override_dh_auto_test:
	true
